bigtop-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Bruno Mahé <bm...@apache.org>
Subject Re: installing bigtop under Yum
Date Tue, 14 Feb 2012 20:13:05 GMT
On 02/14/2012 06:49 AM, Steve Loughran wrote:
> I've just been trying to use Yum to install Hadoop, from the
> instructions:
> https://cwiki.apache.org/BIGTOP/how-to-install-hadoop-distribution-from-bigtop.html
>
>
> It's not working as Hadoop isn't being picked up
>
> Looking at the repository, it's because there's only 64-bit versions
> of hadoop-core
>
> http://mirror.ox.ac.uk/sites/rsync.apache.org/incubator/bigtop/stable/repos/centos6/hadoop/
>
>
> Which confuses me, as the only x64 bit would be the native libs.
>
> Am I trying to do something wrong by installing bigtop on a 32 bit
> system?

The rationale is that CentOS 5 (and alike) does not support noarch
sub-packages. See
http://fedoraproject.org/wiki/EPEL/GuidelinesAndPolicies#Distribution_specific_guidelines
or http://lists.rpm.org/pipermail/rpm-announce/2009-February/000015.html
(CentOS 5 ship a version prior to that one) for more information.
There are tricks to deal with it, but we decided to keep it simple
instead and use arch specific packages when there are some natives.

Regarding what would happen if you install 64bit packages on your 32bit
system, even though it's not an ideal situation, everything should be
fine as long as you don't install the ones providing native bits.


Thanks,
Bruno

Mime
View raw message